package com.adealink.frame.imkit.widget.adapter

interface IViewProviderListener<T> {

    /**
     * 当有新的item插入到列表顶部的时候调用
     */
    fun onItemInsertedAtTop() {}

    /**
     * @param clickType 区分点击事件的标记位
     * @param data 传递的数据源
     */
    fun onViewClick(clickType: Int, data: T)

    /**
     * @param clickType 区分点击事件的标记位
     * @param data 传递的数据源
     */
    fun onViewLongClick(clickType: Int, data: T): Boolean
}
